Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Transactions

Renew Payment

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

POST
/public/api/v1/transactions/{transactionId}/renew

Renew a previously authorized payment to extend the remaining uncaptured authorization period for supported payment methods.

This operation is only supported for transactions using the KLARNA and VIABILL payment methods. The transaction must currently have remaining uncaptured authorized balance to renew.

We recommend a minimum timeout of 60 seconds.

  • SUCCESS: the renew operation completed immediately.
  • PROCESSING: the renew operation is pending and will be finalized later.

We strongly recommend using the Idempotency-Key header, to ensure safe retries in case of network failure.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

transactionIdstring
Required

The id of the transaction to renew.

Header Parameters

Idempotency-Keystring

Ensures that a request can be safely retried without causing duplicate operations. Typically used for actions like payment creation and operations such as refund and void to prevent accidental double processing.

  • If a response is replayed due to using the same key, the response will include the header Idempotent-Replayed: true.
  • Idempotency keys are scoped by [Key, Endpoint, HTTP Verb]; the same key on a different endpoint or method will not replay the original response.
  • Responses are cached for 24 hours. After that, the cache is cleared, so idempotency is only guaranteed within 24 hours of the initial request.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/public/api/v1/transactions/string/renew" \  -H "Idempotency-Key: c4f5e8d2-1234-5678-90ab-cdef12345678"
{  "operationId": "019248e0-0ff4-7c1e-9438-f7648c9ff0fe",  "success": true,  "state": "PROCESSING"}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}